resizefs.reiser4(8)

NAME
resizefs.reiser4 - the program for resize reiser4 filesystem.

SYNOPSIS
resizefs.reiser4 [ options ] FILE size[K|M|G]

DESCRIPTION
resizefs.reiser4 is reiser4 filesystem resize program.

COMMON OPTIONS

-V, --version
    prints program version.

-?, -h, --help
    prints program help.

-y, --yes
    assumes an answer 'yes' to all questions.

-f, --force
    forces resizefs to use whole disk, not block device or mounted partition.

-c, --cache N
    sets tree cache node number to passed value. This affects very much behavior of libreiser4. It affects speed, tree allocation, etc.

PLUGIN OPTIONS

-p, --print-profile
    prints the plugin profile. This is the set of default plugins used for all parts of a filesystem -- format, nodes, files, directories, hashes, etc. If --override is specified, then prints modified plugins.

-l, --print-plugins
    prints all plugins libreiser4 know about.

-o, --override TYPE=PLUGIN, ...
    overrides the default plugin of the type "TYPE" by the plugin "PLUGIN" in the plugin profile.

    Examples:

    resizefs.reiser4 -qf -o nodeptr=nodeptr41,hash=rupasov_hash /dev/hda2 /dev/hda3

REPORTING BUGS
Report bugs to <umka@namesys.com>, <reiserfs-list@namesys.com>

SUPPORT
You can get support at http://www.namesys.com/support.html

SEE ALSO
libreiser4(8), measurefs.reiser4(8), debugfs.reiser4(8), fsck.reiser4(8) mkfs.reiser4(8) copyfs.reiser4(8)

AUTHOR
This manual page was written by Yury Umanets <umka@namesys.com>